=== debian/changelog ===
cockpit-machines (277-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Dark theme support
    - Allow TRIM/UNMAP requests by default for newly added disks
    - Insert and eject CD & DVD media

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Nov 2022 09:56:58 +0100
