## cockpit-machines 278

=== debian/changelog ===
cockpit-machines (278-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Nov 2022 15:30:29 +0100
