## cockpit-machines 279

=== debian/changelog ===
cockpit-machines (279-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Dec 2022 09:53:53 +0100

cockpit-machines (279-1) unstable; urgency=medium

  * New upstream release:
    - Autodetect file's format when attaching disk
  * debian/watch: Use GitHub API. The /releases page has become JavaScript-y
    recently and thus unreadable by machines. Scan the API instead and
    construct a download URL.

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Dec 2022 08:07:29 +0100
