## cockpit-machines 281

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 9814ec6a4d2a0276b0357c4f04d2ae59ea557487 # 279
+COCKPIT_REPO_COMMIT = 69aac32ebe3e23384a00321b9570f64f4ac07583 # 282.1
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
