=== debian/changelog ===
cockpit-machines (281-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Jan 2023 06:58:45 +0100

cockpit-machines (281-1) unstable; urgency=medium

  * New upstream release:
    - Start using tabular fonts
    - Other UI fixes and improvements
    - Summarize system and user session differences
    - Virtual watchdog device support

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Jan 2023 10:19:42 +0100
