=== debian/changelog ===
cockpit-machines (282-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 Jan 2023 10:10:05 +0100

cockpit-machines (282-1) unstable; urgency=medium

  * New upstream release:
    - Option to forcefully revert a snapshot
    - Fix tabular numbers font

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Jan 2023 16:50:12 +0100
