=== debian/changelog ===
cockpit-machines (283-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Feb 2023 07:24:27 +0100

cockpit-machines (283-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 12 Feb 2023 07:55:24 +0100
