=== debian/changelog ===
cockpit-machines (286-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Apr 2023 05:51:41 +0000

cockpit-machines (286-1) unstable; urgency=medium

  * New upstream release:
    - Create VM based on cloud image in "start later" mode
  * Add autopkgtest. This checks that the manifest and data files are
    correctly installed and loaded by Cockpit.

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Mar 2023 08:16:19 +0200

cockpit-machines (285-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Mar 2023 11:44:23 +0100

cockpit-machines (284-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 03 Mar 2023 05:34:02 +0100
