=== debian/changelog ===
cockpit-machines (288-1) unstable; urgency=medium

  * New upstream release:
    - Show an alert when virtualization is disabled in BIOS/EFI
    - Indicate need for shutdown
    - Delete storage file upon disk detachment

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Apr 2023 12:12:49 +0000
