## cockpit-machines 292

=== debian/changelog ===
cockpit-machines (292-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Jun 2023 05:28:33 +0000

cockpit-machines (292-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5 Alpha
    - Option to use RAW volume during VM creation
    - Redesign VM’s CPU configuration
    - Apply watchdog changes on next boot if hotplug fails
    - Vsock device support
    - Add manifest condition for the Python bridge

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Jun 2023 09:18:22 +0000
