=== debian/changelog ===
cockpit-machines (293-1) unstable; urgency=medium

  * New upstream release:
    - Confirm shutdown actions
    - Show virtual interface's TAP device

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Jun 2023 14:58:07 +0000
