=== debian/changelog ===
cockpit-machines (294-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Jul 2023 15:13:56 +0000

cockpit-machines (294-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Jul 2023 07:58:47 +0000
