=== debian/changelog ===
cockpit-machines (295-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Fri, 28 Jul 2023 05:36:36 +0000

cockpit-machines (295-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jul 2023 10:24:56 +0000
