=== debian/changelog ===
cockpit-machines (296-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Aug 2023 23:24:17 +0200
