## cockpit-machines 297

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 2ff6efedee5d7db478a28bba36c68cd41d90854c  # 297 + PF update
+COCKPIT_REPO_COMMIT = 4133eb93dc20f00db996d1fefdd5fcbfd1d6b320 # 298
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
