=== debian/changelog ===
cockpit-machines (297-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Aug 2023 07:43:36 +0200

cockpit-machines (297-1) unstable; urgency=medium

  * New upstream bug fix release.
    - Remove po/LINGUAS during package cleaning (Closes: #1043775)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Aug 2023 13:01:23 +0200
