## cockpit-machines 298

=== debian/changelog ===
cockpit-machines (298-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Sep 2023 05:09:17 +0200

cockpit-machines (298-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Sep 2023 16:05:47 +0200
