=== debian/changelog ===
cockpit-machines (299-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Sep 2023 12:08:44 +0200

cockpit-machines (299-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Sep 2023 07:15:29 +0200
