=== debian/changelog ===
cockpit-machines (300-1~bpo23.10.1) mantic-backports; urgency=medium

  * No-change backport to mantic

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Oct 2023 08:25:07 +0100

cockpit-machines (300-1) unstable; urgency=medium

  * New upstream release:
    - Add SSH keys to VM creation dialog

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Oct 2023 08:07:59 +0200
