=== debian/changelog ===
cockpit-machines (301-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Nov 2023 09:48:14 +0100
