=== debian/changelog ===
cockpit-machines (302-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Nov 2023 06:49:13 +0100

cockpit-machines (302-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2023 07:42:28 +0100
