=== debian/changelog ===
cockpit-machines (303-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Dec 2023 05:32:06 +0000

cockpit-machines (303-1) unstable; urgency=medium

  * New upstream release:
    - Change "Add disk" default behavior

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Nov 2023 10:15:30 +0000
