=== debian/changelog ===
cockpit-machines (304-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Dec 2023 09:47:06 +0100

cockpit-machines (304-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 17 Dec 2023 08:35:07 +0000
