## cockpit-machines 305

=== debian/changelog ===
cockpit-machines (305-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Jan 2024 09:45:51 +0100

cockpit-machines (305-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Jan 2024 15:09:12 +0100
