## cockpit-machines 306

=== debian/changelog ===
cockpit-machines (306-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Sat, 03 Feb 2024 09:40:27 +0100

cockpit-machines (306-1) unstable; urgency=medium

  * New upstream release:
    - Action to Replace SPICE devices
    - Create external snapshots when supported

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Jan 2024 17:28:44 +0100
