## cockpit-machines 307

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 66bb5a9ed47e48910c3d948f21e62808e3b59902 # 306 + 18 commits
+COCKPIT_REPO_COMMIT = 8f2bed6f740aee402f237e7913092e70d5b3981c # 310.2 + 26 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
