=== debian/changelog ===
cockpit-machines (307-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Feb 2024 06:07:55 +0000

cockpit-machines (307-1) unstable; urgency=medium

  * New upstream release:
    - Mass SPICE replacement
    - Pre-formatted Block Device storage pool support

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Feb 2024 13:57:48 +0000
