=== debian/changelog ===
cockpit-machines (309-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Mar 2024 07:10:57 +0100

cockpit-machines (309-1) unstable; urgency=medium

  * New upstream release:
    - Add TPM when switching to EFI
    - Update RHEL doc links to release 9

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Mar 2024 14:01:36 +0100
