=== debian/changelog ===
cockpit-machines (310-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 30 Mar 2024 12:31:43 +0100
