=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                gettext (>= 0.19.7),
                gettext (>= 0.21) | appstream,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/cockpit-project/cockpit-machines
 Vcs-Git: https://salsa.debian.org/debian/cockpit-machines.git
@@ -21,7 +21,7 @@
          libvirt-daemon-system,
          libvirt-clients | libvirt-bin,
          libvirt-dbus
-Recommends: virtinst, python3-gi, gir1.2-libosinfo-1.0, qemu-block-extra
+Recommends: virtinst (>= 3.0.0), python3-gi, gir1.2-libosinfo-1.0, qemu-block-extra
 Description: Cockpit user interface for virtual machines
  The Cockpit Web Console enables users to administer GNU/Linux servers using a
  web browser.
