## cockpit-machines 312

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 5ff98a2117e2815f7560e31d67bb1be69ed2e33e # 313 + 29 commits
+COCKPIT_REPO_COMMIT = b726844bb3845bc160a1bad9dd754c4613dfb775 # 315 + 84 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
