=== debian/changelog ===
cockpit-machines (312-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 May 2024 12:41:16 +0000

cockpit-machines (312-1) unstable; urgency=medium

  * New upstream release:
    - Allow pasting multiple SSH keys at once in Create VM dialog
    - Fix detaching host device for running VMs

 -- Martin Pitt <mpitt@debian.org>  Fri, 26 Apr 2024 07:38:50 +0200
