## cockpit-machines 313

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = b726844bb3845bc160a1bad9dd754c4613dfb775 # 315 + 84 commits
+COCKPIT_REPO_COMMIT = 039d48be65a3d39b36a5d21567e63c22bcdfad10 # 316 + 95 commits
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
