=== debian/changelog ===
cockpit-machines (313-3) unstable; urgency=medium

  * autopkgtest: Adjust for test running as root
  * autopkgtest: Add logs for debugging failure

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jun 2024 19:35:59 +0200

cockpit-machines (313-2) unstable; urgency=medium

  * autopkgtest: Add workaround for stable kernel+LXC breaking DynamicUser=.
    Our autopkgtest fails in ci.debian.net with "Failed to update dynamic user
    credentials: Permission denied".
    This is a bug with the Debian 12 kernel and LXC, and doesn't reproduce
    when running on the host with the old kernel, or running LXC+kernel on
    testing. We don't even *actually* use a DynamicUser= there, it's statically
    allocated.
    Taken from https://salsa.debian.org/utopia-team/cockpit/-/commit/36c1e44

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jun 2024 09:19:56 +0200

cockpit-machines (313-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Jun 2024 06:52:55 +0200
