=== debian/changelog ===
cockpit-machines (314-2~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Jun 2024 06:59:06 +0200

cockpit-machines (314-2) unstable; urgency=medium

  * autopkgtest: Adjust DynamicUser= workaround.
    cockpit dropped the static adduser from its postinst and moved the hack
    into its autopkgtest. Follow suit. Also restrict the hack to running
    inside of a container, as it works fine on the host. Add bug reference.

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Jun 2024 08:11:11 +0200

cockpit-machines (314-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Jun 2024 09:29:49 +0200
