=== debian/changelog ===
cockpit-machines (315-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Fri, 28 Jun 2024 07:23:06 +0200

cockpit-machines (315-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jun 2024 14:23:36 +0200
