## cockpit-machines 316

=== debian/changelog ===
cockpit-machines (316-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Mon, 15 Jul 2024 10:21:26 +0200

cockpit-machines (316-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jul 2024 11:49:39 +0200
