=== debian/changelog ===
cockpit-machines (317-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Sun, 11 Aug 2024 08:55:06 +0200

cockpit-machines (317-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Aug 2024 11:14:20 +0200
